Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066647 - Crash in poppler_document_new_from_data due to invalid pointer passed by PDF extractor
Summary: Crash in poppler_document_new_from_data due to invalid pointer passed by PDF ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:985128c9e2c6d4177fa5445a916...
: 997585 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 19:26 UTC by Ronan Loftus
Modified: 2015-06-29 15:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:17:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: cgroup (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: core_backtrace (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: dso_list (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: environ (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: exploitable (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: limits (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: maps (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: open_fds (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: proc_pid_status (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details
File: var_log_messages (deleted)
2014-02-18 19:26 UTC, Ronan Loftus
no flags Details

Description Ronan Loftus 2014-02-18 19:26:21 UTC
Version-Release number of selected component:
tracker-0.16.4-2.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: MemStream::getChar
executable:     /usr/libexec/tracker-extract
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 MemStream::getChar at Stream.h:571
 #1 PDFDoc::getStartXRef at PDFDoc.cc:1676
 #2 PDFDoc::setup at PDFDoc.cc:262
 #3 PDFDoc::PDFDoc at PDFDoc.cc:238
 #4 poppler_document_new_from_data at poppler-document.cc:244
 #5 tracker_extract_get_metadata at tracker-extract-pdf.c:622
 #6 get_file_metadata at tracker-extract.c:347
 #7 get_metadata at tracker-extract.c:552
 #8 dispatch_task_cb at tracker-extract.c:679

Potential duplicate: bug 742922

Comment 1 Ronan Loftus 2014-02-18 19:26:28 UTC
Created attachment 864729 [details]
File: backtrace

Comment 2 Ronan Loftus 2014-02-18 19:26:30 UTC
Created attachment 864730 [details]
File: cgroup

Comment 3 Ronan Loftus 2014-02-18 19:26:35 UTC
Created attachment 864731 [details]
File: core_backtrace

Comment 4 Ronan Loftus 2014-02-18 19:26:38 UTC
Created attachment 864732 [details]
File: dso_list

Comment 5 Ronan Loftus 2014-02-18 19:26:40 UTC
Created attachment 864733 [details]
File: environ

Comment 6 Ronan Loftus 2014-02-18 19:26:42 UTC
Created attachment 864734 [details]
File: exploitable

Comment 7 Ronan Loftus 2014-02-18 19:26:43 UTC
Created attachment 864735 [details]
File: limits

Comment 8 Ronan Loftus 2014-02-18 19:26:46 UTC
Created attachment 864736 [details]
File: maps

Comment 9 Ronan Loftus 2014-02-18 19:26:48 UTC
Created attachment 864737 [details]
File: open_fds

Comment 10 Ronan Loftus 2014-02-18 19:26:50 UTC
Created attachment 864738 [details]
File: proc_pid_status

Comment 11 Ronan Loftus 2014-02-18 19:26:52 UTC
Created attachment 864739 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-07-26 17:13:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2014-07-27 06:35:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Debarshi Ray 2014-10-14 15:55:10 UTC
*** Bug 997585 has been marked as a duplicate of this bug. ***

Comment 15 Fedora End Of Life 2015-05-29 10:58:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 15:17:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.